library alehar_2020_hello;

import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

Widget menuCell(String key, Function tapHandler, String icon, String title) {
  return Expanded(
      flex: 1,
      child: InkWell(
          key: Key(key),
          onTap: tapHandler,
          child: Container(
            height: 152,
            decoration: BoxDecoration(
              color: Color.fromARGB(
                  255, 255, 255, 255),
            ),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment
                  .stretch,
              children: [
                Align(
                  alignment: Alignment
                      .topCenter,
                  child: Container(
                    width: 72,
                    height: 72,
                    margin: EdgeInsets.only(
                        top: 16),
                    child: Image.asset(
                      icon,
                      fit: BoxFit.none,
                    ),
                  ),
                ),
                Container(
                  margin: EdgeInsets.only(
                      left: 17,
                      top: 10,
                      right: 17),
                  child: AutoSizeText(
                    title,
                    textAlign: TextAlign.center,
                    style: TextStyle(
                      color: Color.fromARGB(
                          255, 0, 145, 90),
                      fontFamily: "Co Text Corp",
                      fontWeight: FontWeight
                          .w400,
                      letterSpacing: -0.105,
                      height: 1.5,
                    ),
                    maxFontSize: 12,
                    minFontSize: 2,
                    maxLines: 2,
                  ),
                ),
              ],
            ),
          ))
  );
}